org.jbpm.ruleflow.core.factory

## Class TimerNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.TimerNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.TimerNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.TimerNodeBuilder<T>,T>, org.kie.api.fluent.TimerNodeBuilder<T>

      public class TimerNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.TimerNodeBuilder<T>,T>
      implements org.kie.api.fluent.TimerNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimerNodeFactory<T>` | `delay(String delay)`
    `protected TimerNode` | `getTimerNode()`
    `TimerNodeFactory<T>` | `period(String period)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### TimerNodeFactory

          public TimerNodeFactory(T nodeContainerFactory,
                                  NodeContainer nodeContainer,
                                  long id)

  - ### Method Detail

    - #### getTimerNode

          protected TimerNode getTimerNode()

    - #### delay

          public TimerNodeFactory<T> delay(String delay)

      Specified by:
        `delay` in interface `org.kie.api.fluent.TimerNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### period

          public TimerNodeFactory<T> period(String period)

      Specified by:
        `period` in interface `org.kie.api.fluent.TimerNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.